Package com.independentsoft.graph.workbooks

# Class Chart

java.lang.Object
com.independentsoft.graph.workbooks.Chart

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class Chart extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Chart()`
  `Chart​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getHeight()`
  `String`
  `getId()`
  `double`
  `getLeft()`
  `String`
  `getName()`
  `ChartSeriesBy`
  `getSeriesBy()`
  `String`
  `getSourceData()`
  `double`
  `getTop()`
  `ChartType`
  `getType()`
  `double`
  `getWidth()`
  `void`
  `setHeight​(double height)`
  `void`
  `setId​(String id)`
  `void`
  `setLeft​(double left)`
  `void`
  `setName​(String name)`
  `void`
  `setSeriesBy​(ChartSeriesBy seriesBy)`
  `void`
  `setSourceData​(String sourceData)`
  `void`
  `setTop​(double top)`
  `void`
  `setType​(ChartType type)`
  `void`
  `setWidth​(double width)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Chart

    public Chart()

  - ### Chart

    public Chart​(JsonObject jsonObject)

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId​(String id)

  - ### getName

    public String getName()

  - ### setName

    public void setName​(String name)

  - ### getHeight

    public double getHeight()

  - ### setHeight

    public void setHeight​(double height)

  - ### getLeft

    public double getLeft()

  - ### setLeft

    public void setLeft​(double left)

  - ### getTop

    public double getTop()

  - ### setTop

    public void setTop​(double top)

  - ### getWidth

    public double getWidth()

  - ### setWidth

    public void setWidth​(double width)

  - ### getType

    public ChartType getType()

  - ### setType

    public void setType​(ChartType type)

  - ### getSourceData

    public String getSourceData()

  - ### setSourceData

    public void setSourceData​(String sourceData)

  - ### getSeriesBy

    public ChartSeriesBy getSeriesBy()

  - ### setSeriesBy

    public void setSeriesBy​(ChartSeriesBy seriesBy)

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties